Herelink Updates

There are 2 main version out in the wild, the original herelink 1.0 firmware , and herelink 1.1 firmware.

a herelink 1.0 firmware is only compatible with 1.0 units
a herelink 1.1 firmware is compatable with 1.0 and 1.1 hardware, but will not pair/talk if the firmware versions are mixed up.

how to tell.
if the Airunit firmware version is AAU01211129, this is a 1.0 firmware.
if the Airunit firmware version is AU01230714, this is a 1.1 compatible firmware.

if the GCS unit firmware version starts with RU0121… This is a 1.0 firmware, and will talk only to a 1.0 firmware Air unit.
if the GCS unit firmware version starts with RU0123 or RU0124, this is a 1.1 compatible firmware.

As shipped all these version would have matched.

however if you factory restore a unit using flasher_… then this will likely update it to the 1.1 level firmware. This was done to ensure existing units wont be force to update when not required.

How to fix any issues.
case 1.
i have a GCS with a RU0123/RU0124 = 1.1
i have a Airunit with a AU0121 = 1.0
update the air unit with “flasher_win.exe beta”

case 2.
i have a GCS with RU0121 = 1.0
i have a Airunit with AU0123/AU0124 = 1.1
subscribe to the beta updates on the GCS, to update it to a 1.1 compatible firmware.

I currently have the Herelink GCS with firmware version 1.1 installed, but I need to downgrade it to version 1.0. Could you please provide detailed instructions on how to perform this downgrade? I am using a Mac for this process.

Thank you for your assistance.

Best regards,